PolychartService
Unpublish Layer
Remove a drawing layer from discovery listings.
Method
POST
Path
/v1/polychart/published/layers/unpublish
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
POST
/v1/polychart/published/layers/unpublish Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/polychart/published/layers/unpublish' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"layer": {
"layerId": "1",
"ownerId": "1"
}
}'Responses
{} layer string
Layer to remove from discovery.
| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |